Summary: NFS server configuration tool
Name: redhat-config-nfs
Version: 1.0.13
Release: 6.XOS.1
URL: http://www.redhat.com/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Patch: redhat-config-nfs-1.0.13-multiple-hosts.patch
Patch1: redhat-config-nfs-1.0.13-optionless.patch
Patch2: redhat-config-nfs-1.0.13-dialogclose.patch
Patch3: redhat-config-nfs-1.0.13-exportsmissing.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
Requires: pygtk2
Requires: python2
Requires: nfs-utils
Requires: usermode >= 1.36
Requires: rhpl

%description
redhat-config-nfs is a graphical user interface for creating, 
modifying, and deleting nfs shares.

%prep
%setup -q
%patch -p1 -b .multiple-hosts
%patch1 -p1 -b .optionless
%patch2 -p1 -b .dialogclose
%patch3 -p1 -b .exportsmissing

%build
make %{?_smp_mflags}

%install
make INSTROOT=$RPM_BUILD_ROOT install

desktop-file-install --vendor redhat --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base        \
  --add-category X-Red-Hat-ServerConfig        \
  $RPM_BUILD_ROOT%{_datadir}/applications/redhat-config-nfs.desktop

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -d %{_datadir}/redhat-config-nfs ] ; then
  rm -rf %{_datadir}/redhat-config-nfs/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc doc/*
%{_bindir}/redhat-config-nfs
%dir %{_datadir}/redhat-config-nfs
%dir %{_datadir}/redhat-config-nfs/pixmaps
%{_datadir}/redhat-config-nfs/*
%attr(0644,root,root) %{_datadir}/applications/redhat-config-nfs.desktop
%attr(0644,root,root) %{_datadir}/%{name}/pixmaps/redhat-config-nfs.png
%attr(0644,root,root) %config /etc/security/console.apps/redhat-config-nfs
%attr(0644,root,root) %config /etc/pam.d/redhat-config-nfs

%changelog
* Fri Sep 24 2004 X/OS Linux Team <xoslinux@xos.nl> 1.0.13-6.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on redhat-config-nfs-1.0.13-6.src.rpm
  (md5sum of original source rpm: 8ad0200a16439ba6341703e277b6edc0).

* Thu Sep 16 2004 Nils Philippsen <nphilipp@redhat.com> 1.0.13-5
- close properties dialog when clicking OK button
- handle /etc/exports missing gracefully

* Sat Aug 14 2004 Nils Philippsen <nphilipp@redhat.com> 1.0.13-4
- fix incorrect syntax for multiple hosts with a single mount point (#107997,
  patch by Shannon Mitchell)
- don't barf on optionless hosts
- readonly is default

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.13-1
- add Requires for rhpl (bug #104214)

* Wed Sep 10 2003 Brent Fox <bfox@redhat.com> 1.0.12-1
- rebuild for latest docs

* Wed Sep  3 2003 Brent Fox <bfox@redhat.com> 1.0.11-2
- bump relnum and rebuild

* Wed Sep  3 2003 Brent Fox <bfox@redhat.com> 1.0.11-1
- fix backend to handle multiple hosts on one line (bug #74311)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.10-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.9-1
- add BuildRequires for gettext

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.8-1
- remove BuildRequires on python-tools

* Tue Jul  1 2003 Brent Fox <bfox@redhat.com> 1.0.7-2
- bump and rebuild

* Tue Jul  1 2003 Brent Fox <bfox@redhat.com> 1.0.7-1
- truncate menu entries (bug #98023)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 21 2003 Bill Nottingham <notting@redhat.com> 1.0.4-5
- fix help->about in some locales (#82755)

* Thu Feb 20 2003 Brent Fox <bfox@redhat.com> 1.0.4-4
- get help text fixed (bug #82086)

* Mon Feb 10 2003 Brent Fox <bfox@redhat.com> 1.0.4-3
- handle spaces in /etc/exports (bug #82086)

* Tue Feb  4 2003 Brent Fox <bfox@redhat.com> 1.0.4-2
- apply patch from John Stracke (bug #83408)

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- bump and build

* Wed Jan 22 2003 Tammy Fox <tfox@redhat.com> 1.0.3-2
- updated docs

* Tue Jan 14 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- make changes take place immediately (bug #81281)
- make sure portmapper is started (bug #80983)

* Tue Jan  7 2003 Brent Fox <bfox@redhat.com> 1.0.2-5
- destroy about box explicitly
- handle window destroy events correctly

* Tue Dec 24 2002 Brent Fox <bfox@redhat.com> 1.0.2-4
- make the about box translatable (bug #75575)

* Mon Dec 23 2002 Brent Fox <bfox@redhat.com> 1.0.2-3
- remove @VERSION@ from about box

* Mon Dec 16 2002 Brent Fox <bfox@redhat.com> 1.0.2-2
- pull translation modules from rhpl

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 1.0.2-1
- Rebuild

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-5
- Rebuild with latest translations

* Fri Sep 23 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- Added BuildRequires for python-tools

* Tue Sep 03 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- pull in latest translations

* Fri Aug 30 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- pull in latest translations

* Thu Aug 29 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Pull in latest translations

* Tue Aug 27 2002 Brent Fox <bfox@redhat.com> 1.0.0-3
- Replace deprecated GTK function calls children() to get_children()

* Tue Aug 27 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- Rebuild for new translations

* Mon Aug 19 2002 Brent Fox <bfox@redhat.com> 1.0-1
- convert desktop file to UTF-8

* Wed Aug 14 2002 Tammy Fox <tfox@redhat.com> 0.9.9-5
- new icon

* Wed Aug 14 2002 Brent Fox <bfox@redhat.com> 0.9.9-4
- handle async options properly

* Mon Aug 12 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- break out of infinite loop while iterating the exports list

* Sun Aug 11 2002 Brent Fox <bfox@redhat.com> 0.9.9-2
- Fix bug when clicking Apply with empty ListStore - bug 69682
- Fix bug 70626 so that the dialog can stretch for long strings
- Fix bug 71107 by requiring nfs-utils
- Convert remaining non-UTF8 po files to UTF8

* Mon Aug 05 2002 Tammy Fox <tfox@redhat.com> 0.9.9-1
- Add help

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Use new pam timestamp rules

* Thu Aug 01 2002 Tammy Fox <tfox@redhat.com> 
- Add about box
- UI tweaks

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- Update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.4-4
- Fix desktop file (bug #69479)

* Wed Jul 17 2002 Brent Fox <bfox@redhat.com> 0.9.4-3
- Fix bug 68945.  Desensitize property and delete widgets as needed
- Fix bug 67958.  Default to 'sync' transfers

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Wed Jun 26 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.9.0-1
- Require python2 instead of python
- Increase version number

* Tue Jun 18 2002 Brent Fox <bfox@redhat.com> 0.2.1
- Added copyright data to Python files

* Thu May 30 2002 Brent Fox <bfox@redhat.com> 0.1.0-4
- Fixed Requires 

* Fri May 3 2002 Brent Fox <bfox@redhat.com>
- Minor UI fixes

* Tue Feb 19 2002 Brent Fox <bfox@redhat.com>
- Big port to Python2.2/Gtk2
- Removed glade dep and recoded the UI by hand. (libglade2 wasn't working out for me)
- Ready for rebuilding and testing now

* Mon Jan 21 2002 Brent Fox <bfox@redhat.com>
- initial coding and packaging

